﻿/*************************************\
 * Kommunikation zwischen Formularen *
 *                                   *
 * Kapitel: Windows Forms            *
 * Zuordnung: C#-Buch V2.0 9.14      *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Windows.Forms;

namespace CSV20.WinForm_Mehrere_Forms
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void buttonFormular2Öffnen_Click(object sender, EventArgs e)
        {
            Form2 oForm = new Form2();
            oForm.sTextEingabe = textBoxEingabe.Text;
            oForm.FormClosing += new FormClosingEventHandler(Form2_FormClosing);
            oForm.Show();       // falls Dialog angezeigt werden sollte, kann auch ShowDialog() aufgerufen werden
        }

        private void Form2_FormClosing(object sender, FormClosingEventArgs e)
        {
            Form2 oForm = (Form2)sender;

            // Prüfen ob Fenster durch den Klick auf den Button geschlossen wurde
            if (oForm.bEingabeButton)
                textBoxEingabe.Text = oForm.sTextEingabe;
        }
    }
}