﻿/*************************************\
 * Kommunikation zwischen Formularen *
 *                                   *
 * Kapitel: Windows Forms            *
 * Zuordnung: C#-Buch V2.0 9.14      *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Windows.Forms;

namespace CSV20.WinForm_Mehrere_Forms
{
    public partial class Form2 : Form
    {
        public bool bEingabeButton { get; set; }    // falls true, dann muss sTextEingabe in Form 1 übernommen werden
        public string sTextEingabe
        {
            get
            {
                return textBoxEingabe.Text;
            }
            set
            {
                textBoxEingabe.Text = value;
            }
        }

        public Form2()
        {
            InitializeComponent();
            bEingabeButton = false;
        }

        private void buttonZurückZuFormular1_Click(object sender, EventArgs e)
        {
            // Flag setzen und Fenster schließen (Form 1 hat das Event FormClosing registriert)
            bEingabeButton = true;
            Close();
        }
    }
}